Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  
Pull request: https://github.com/theforeman/foreman/p

ull/2674

  

Description

Since https://github.com/theforeman/foreman/blob/develop/app/models/lookup_value.rb#L10 was added

adding a matcher with an empty value isn't possible even when checking use_puppet_default.

Workaround for now: put any value, save the smart class parameter, edit it again and check use puppet default.

Related issues:

Related to Foreman - Bug #9187: Overrideable empty puppet class parameters ar... Closed 02/02/2015

Related to Foreman - Bug #9812: 'match' and 'value' parameters in override va... Closed 03/18/2015

Associated revisions

Revision baa21c79 - 09/07/2015 05:53 AM - Ori Rabin

Fixes #11663 - Empty lookup value not validated when use_puppet_default is checked

Revision 80692275 - 09/09/2015 11:09 AM - Ori Rabin

Fixes #11663 - Empty lookup value not validated when use_puppet_default is checked

(cherry picked from commit baa21c791a8b8a3cbbc9f1a21a1cfe2448730800)

History

#1 - 09/02/2015 08:34 AM - Dominic Cleal

- Related to Bug #9187: Overrideable empty puppet class parameters are still validate their default value added

#2 - 09/02/2015 08:35 AM - Dominic Cleal

- Related to Bug #9812: 'match' and 'value' parameters in override value's create should be required in apidoc added

#3 - 09/02/2015 08:35 AM - Dominic Cleal

- translation missing: en.field_release set to 72

Appears to be a 1.9 regression.

#4 - 09/06/2015 09:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2674 added

- Pull request deleted ()

#5 - 09/06/2015 09:43 AM - Ori Rabin

- Assignee set to Ori Rabin

#6 - 09/07/2015 06:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/blob/develop/app/models/lookup_value.rb#L10


- % Done changed from 0 to 100

Applied in changeset baa21c791a8b8a3cbbc9f1a21a1cfe2448730800.
